
Redmine - Defect #9901

NoMethodError Updating Ticket 

2012-01-02 14:15 - shripal jain

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.3.0

Description

Hey,

I have updated redmine from 1.0 to 1.3 stable released now few user facing when they update issue

Let me know if you need more info!

NoMethodError (undefined method `group_by' for nil:NilClass):

  app/models/issue.rb:621:in `save_issue_with_child_records'

  app/models/issue.rb:613:in `save_issue_with_child_records'

  app/controllers/issues_controller.rb:180:in `update'

  /usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

  /usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

  /usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

  /usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

  /usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

  /usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

  /usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

  /usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

  /usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

  /usr/lib/ruby/1.8/webrick/server.rb:82:in `start'

History

#1 - 2012-01-02 22:56 - Etienne Massip

Please give details according to SubmittingBugs.

#2 - 2012-01-03 05:36 - shripal jain

- File error.JPG added

- File error1.JPG added

- Assignee set to Etienne Massip

Log File :

NoMethodError (undefined method `group_by' for nil:NilClass):

app/models/issue.rb:621:in `save_issue_with_child_records'

app/models/issue.rb:613:in `save_issue_with_child_records'

app/controllers/issues_controller.rb:180:in `update'

/usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

/usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

/usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:82:in `start'

#3 - 2012-01-03 09:54 - Etienne Massip

- Assignee deleted (Etienne Massip)

Please give details on your environment (gems, plugins, etc.) according to SubmittingBugs.
#4 - 2012-01-03 10:18 - shripal jain

- Assignee set to Etienne Massip

Gems :

aaronp-frex (1.0.1)

actionmailer (2.3.14, 2.3.11)

actionpack (2.3.14, 2.3.11)

activerecord (2.3.14, 2.3.11)

activeresource (2.3.14, 2.3.11)

activesupport (2.3.14, 2.3.11)

Ascii85 (1.0.1)

holidays (1.0.4, 1.0.3)

i18n (0.4.2)

icalendar (1.1.6)

juggernaut (2.1.0)

nokogiri (1.5.0)

open-uri-cached (0.0.4)

pdf-reader (0.10.1)

prawn (0.12.0)

rack (1.1.2)

rails (2.3.14, 2.3.11)

rake (0.8.7)

redis (2.2.2)

ttfunk (1.0.3)

Plugins :

Redmine Backlogs

A plugin for agile teams

relaxdiego, friflaj    v0.7.0    Configure

Central Panel of Management

Global and per project summarized views

Emergya Consultoría    0.9.4.1

Redmine Dnoise Workload plugin

This is a plugin for Redmine Workload

Dnoise Rafael Calleja    0.0.1

Basic project file loader for Redmine

Basic project file loader

Simon Stearn largely hacking Andrew Hodgkinsons trackrecord code (sorry Andrew)    0.0.11    Configure

Redmine Ft Import plugin

This is a project import plugin for Redmine

http://example.com/path/to/plugin

Stevan    0.0.1

#5 - 2012-01-04 09:25 - Etienne Massip

- Assignee deleted (Etienne Massip)

#6 - 2012-01-04 10:48 - shripal jain

Any one help me

#7 - 2013-04-13 12:20 - Jean-Baptiste Barth

- Status changed from New to Closed

Please remove all your plugins and try to reproduce with a recent version of Redmine if the problem still annoys you. As the issue is pretty old I close

it but don't hesitate to reopen if you have new informations.

Files

error.JPG 103 KB 2012-01-03 shripal jain

error1.JPG 78.3 KB 2012-01-03 shripal jain
